using System;
using System.Collections.Generic;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Assisty
{
    public partial class Form1 : Form
    {

        /// <summary>
        /// Occurs when the user hits the save button on the menubar
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void saveToolStripMenuItem_Click(object sender, EventArgs e) {
            if (!modified) return;
            string filename = getFilenameForDate(loadedDateTime);
            rtfDiaryText.SaveFile(filename, RichTextBoxStreamType.PlainText);
            modified = false;
        }


        private void tlbBackOneDay_Click(object sender, EventArgs e) {
            //first save the current page
            saveToolStripMenuItem_Click(null, null);

            //Then load the previous one!
            loadedDateTime = loadedDateTime.AddDays(-1);
            LoadDiaryForDate();
        }

        private void tlbForwardDay_Click(object sender, EventArgs e) {
            //first save the current page
            saveToolStripMenuItem_Click(null, null);

            //Then load the previous one!
            loadedDateTime = loadedDateTime.AddDays(1);
            LoadDiaryForDate();
        }

        private void rtfDiaryText_SelectionChanged(object sender, EventArgs e) {
            modified = true;
            MessageBox.Show("hi");
        }
        private void rtfDiaryText_TextChanged(object sender, EventArgs e) {
            modified = true;
        }

        private void cutToolStripMenuItem_Click(object sender, EventArgs e) {
            //check whether there is text to cut...
            if (rtfDiaryText.SelectedText.Length > 0) {
                Clipboard.SetDataObject(rtfDiaryText.SelectedText, true);
                rtfDiaryText.SelectedText = "";
            }
        }

        private void copyToolStripMenuItem_Click(object sender, EventArgs e) {
            //check whether there is text to copy...
            if (rtfDiaryText.SelectedText.Length > 0) {
                Clipboard.SetDataObject(rtfDiaryText.SelectedText, true);
            }
        }

        private void pasteToolStripMenuItem_Click(object sender, EventArgs e) {
            IDataObject pasteData = Clipboard.GetDataObject();
            //check whether text is available
            if (pasteData.GetDataPresent(DataFormats.Text)) {
                rtfDiaryText.SelectedText = "";
                rtfDiaryText.SelectedText =
                    (string)pasteData.GetData(DataFormats.Text);
            }

        }

        private void deleteToolStripMenuItem_Click(object sender, EventArgs e) {
            //check whether text is available
            if (rtfDiaryText.SelectedText.Length > 0) {
                rtfDiaryText.SelectedText = "";
            }
        }

        private void selectAllToolStripMenuItem_Click(object sender, EventArgs e) {
            rtfDiaryText.SelectAll();
        }


        private void undoToolStripMenuItem_Click(object sender, EventArgs e) {
            if (rtfDiaryText.CanUndo) {
                rtfDiaryText.Undo();
            }
        }

        private void redoToolStripMenuItem_Click(object sender, EventArgs e) {
            if (rtfDiaryText.CanRedo) {
                rtfDiaryText.Redo();
            }
        }

    }

}