using System;
//using System.Collections.Generic;
//using System.ComponentModel;
//using System.Data;
//using System.Drawing;
//using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Assisty
{
    public partial class Form1 : Form
    {

        private DateTime loadedDateTime;
        private bool modified = false;

        public Form1() {
            InitializeComponent();
            LoadDiary();
        }

        private void LoadDiary() {
            //get the file for today...
            loadedDateTime = DateTime.Now;
            LoadDiaryForDate();
        }

        private void LoadDiaryForDate() {
            if (File.Exists(getFilenameForDate(loadedDateTime))) {
                rtfDiaryText.LoadFile(getFilenameForDate(loadedDateTime), RichTextBoxStreamType.PlainText);
            }
            else {
                rtfDiaryText.Text = "Dear Diary,\r\n\t";
                rtfDiaryText.Select(13, 0);
            }
            tllDateDiary.Text = "Diary for " + getEnglishMonthName(loadedDateTime.Month) +
                " " + loadedDateTime.Day + ", " + loadedDateTime.Year; ;
            modified = false;

        }

        private static string getFilenameForDate(DateTime d) {
            return ("diary-" + d.Day + "-" + d.Month + "-" + d.Year + ".txt");

        }

        private string getEnglishMonthName(int Month) {
            switch (Month) {
                case 1: return "Jan";
                case 2: return "Feb";
                case 3: return "Mar";
                case 4: return "Apr";
                case 5: return "May";
                case 6: return "Jun";
                case 7: return "Jul";
                case 8: return "Aug";
                case 9: return "Sep";
                case 10: return "Oct";
                case 11: return "Nov";
                case 12: return "Dec";
                default: return "Err";
            }
        }
    }
}